
.intro__img {
    box-sizing: unset;
    line-height: 1.07;
}
/*
.textWithAnno {
    line-height: 1.2;
}*/

.intro__img svg {
    shape-rendering: geometricPrecision;
    text-rendering: geometricPrecision;
    image-rendering: optimizeQuality;
}

.duktuktld {
    position: absolute;
    top: 0;
    left:0;
    width: 100%;
}

.opczxu9 {
    filter:
            drop-shadow(0px 0px 3px rgb(183, 183, 183))
            drop-shadow(-2px 0px 0px rgb(255, 255, 255, 0.7))
            drop-shadow(-1px 0px 0px rgb(255, 255, 255, 0.7))
            drop-shadow(1px 0px 0px rgb(255, 255, 255, 0.7))
            drop-shadow(2px 0px 0px rgb(255, 255, 255, 0.7));
}

.vhjkres {
    stroke-linecap: round;
}

.ukcgul {
    stroke: rgba(255, 255, 255, 0.5);
    stroke-width:0.5em;
    paint-order:stroke;
    stroke-linejoin:round;
    dominant-baseline: middle;
    font-size: 12px;
}

.ae5yae5yhjs {
    position: absolute;
    border-radius: 8px;
    display: block;
    max-width: 300px;
    height: max-content;
    background-image: linear-gradient(rgba(255, 255, 255, 0.5), rgb(255, 255, 255));

    opacity: 0.8;
    padding-top: 2px;
    padding-bottom: 4px;
    padding-left: 7px;
    padding-right: 7px;
    border: 1px solid #bebdbd;

    box-shadow: 0.25rem 0.25rem 0.7rem 0.01rem hsla(0, 0%, 69%, 0.73);
}

.asert6r6sw td {
    border: 1px solid #abc4e3;
    padding: 2px 5px 2px 5px;
}

.eqa5hae5j > span {
    text-align: center;
}

.qa5hy5EWHY > span {
    opacity: 0;
}

.swrhsdrh {
    border-color: transparent;
    font-size: 14px;
    letter-spacing: 0.02em;
    font-weight: 400;
    color: black;
    text-shadow: 0 0 0.3px rgba(0, 0, 0, 0.2);
    font-smooth: always;
}

.etuysr6usr ::before {
    content: "";
    width: 50%;
    height: 100%;
    float: right;
    shape-outside: polygon(0 100%, 100% 0, 100% 100%);
    shape-margin: 0;
}

.jhatejy7 {
    display: block;
    position: absolute;
    border: none;
    background: transparent;
    width: max-content;
    height: 16px;
}

.jhatejy7 circle {
    fill: white;
    stroke: grey;
    stroke-width: 0.5px;
    cx: 10;
    cy: 8;
    r: 2.5;
}

.topLabel circle {
    cy: 12;
}

.bottomLabel circle {
    fill: #d5d5d5;
    cy: 6;
}

.ss4tdfeh circle {
    fill: #d5d5d5;
    stroke: #c0c0c07f;
    stroke-width: 0.5;
    cx: 10;
    cy: 6;
    r: 1.5;
}

/*________выпадающие меню на IntroImg______*/

foreignObject div {
    text-rendering: optimizeLegibility;
}

.appButton {
    font-family: "Comfortaa";
    transition: 0.2s;
    margin-top: 10px;
    outline: none;
    border: 1px solid #bad2dd;
    padding: 6px 14px;
    background-color: transparent;
    font-size: 16px;
    color: #4199c5;
    border-radius: 8px;
    font-weight: bold;
}

.pseudoHeader span {
    color: #cdcdcd;
    /*    margin: 0 16px;*/
}

.menuBlock:not(:last-child) {
    border-bottom: 1px solid #c4c7d7;
}

.menuBlock {
    width: 100%;
    padding: 8px 0;
}

.fileContainer img {
    width: 19px;
    margin-right: 5px;
}

.nbrtyjujf .menuActiveButton {
    min-width: 265px;
}

.recentList {
    display: block;
    top: 170px;
    left: 281px;

    width: auto;

    font-family: Comfortaa, Arial, sans-serif;
    padding: 15px 10px 15px 10px;

    min-width: 370px;
}

.file_row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 12px;
    color: #9b9b9b;
}

.recentList, .dtujdykuku {
    position: fixed;
    background: white;
    border: 1px solid rgba(128, 175, 229, 0.3);
    box-shadow: 0 -4px 20px -6px rgba(126, 174, 227, 0.4), 0 -12px 32px -10px rgba(126, 174, 227, 0.1), 0 14px 28px -8px rgba(126, 174, 227, 0.32), 0 4px 10px -3px rgba(0, 0, 0, 0.07), inset 0 2px 0 rgba(255, 255, 255, 0.9);
    flex-direction: column;
    align-items: flex-start;
    box-sizing: border-box;
    border-radius: 15px;
    display: flex;
    transition: 0.3s;
    flex-wrap: nowrap;
    z-index: 100;
}

.file_row a{
    text-decoration: none;
}
.file_row .file_name {
    margin-left: 15px;
    margin-right: 15px;
    text-decoration: none;
    min-width: 150px;
    font-size: 14px;
}
.file_row .file_info {
    margin-right: 15px;
    display: flex;
    align-items: center;
}
.file_row .file_info .file_last_mod {
    margin-right: 10px;
    font-style: italic;
    font-size: 12px;
    min-width: 100px;
}
.file_row .file_info .file_place {
    min-width: 47px;
    text-align: left;
    font-size: 12px;
}

.recent_head {
    border-bottom: 1px solid #dedede;
    color: #d0d0d0;
    font-size: 12px;
    padding-bottom: 5px;
    min-width: 355px;
}

.recentListItems a {
    color: #414648;
}

.recentClearWrapper {
    display: flex;
    border-top: 1px solid #c4c7d7;
    justify-content: flex-end;
    margin-bottom: 5px;
    padding-top: 10px;
    padding-right: 15px;
    min-width: 345px;
}

.recentClearWrapper svg{
    width: 20px;
    margin-right: 5px;
}

.recentClearWrapper div {
    margin-top:4px;
    color: #4285a6;
    text-decoration: none;
    font-size: 13px;
}

.nbrtyjujf, .sideMenu {
    font-family: Comfortaa, Arial, sans-serif;
    /* font-family: Comfortaa; */
    position: fixed;
    left: 10px;
    top: 55px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    box-sizing: border-box;
    padding: 10px 20px 10px 10px;
    border-radius: 24px;
    z-index: 100;
    background: white;
    border: 1px solid rgba(128, 175, 229, 0.3);
    /* border: 1px solid rgba(255, 255, 255, 0.9); */
    box-shadow: 0 -4px 20px -6px rgba(126, 174, 227, 0.4), 0 -12px 32px -10px rgba(126, 174, 227, 0.1), 0 14px 28px -8px rgba(126, 174, 227, 0.32), 0 4px 10px -3px rgba(0, 0, 0, 0.07), inset 0 2px 0 rgba(255, 255, 255, 0.9);
}

.sideMenu {
    padding-top: 0;
    padding-bottom: 0
}

.sideMenuActiveButton,
.menuActiveButton {
    width: 90%;
    justify-content: space-between;
    min-height: 42px;
    padding: 0 14px;
    display: flex;
    align-items: center;
    border-radius: 15px;
    font-size: 15px;
    font-weight: 500;
    letter-spacing: -0.2px;
    cursor: pointer;
    transition: 0.22s ease;
    user-select: none;
    color: #335f78;
}

.sideMenuActiveButton {
    min-width: 240px;
}


.arrow-right {
    margin-left: 30px;
    width: 8px;
    height: 8px;
    border-top: 2px solid currentColor;
    border-right: 2px solid currentColor;
    transform: rotate(45deg);
    opacity: 0.65;
}

.openMapsList {
    position: fixed;
    background: white;
    border: 1px solid rgba(128, 175, 229, 0.3);
    box-shadow: 0 -4px 20px -6px rgba(126, 174, 227, 0.4), 0 -12px 32px -10px rgba(126, 174, 227, 0.1), 0 14px 28px -8px rgba(126, 174, 227, 0.32), 0 4px 10px -3px rgba(0, 0, 0, 0.07), inset 0 2px 0 rgba(255, 255, 255, 0.9);
    flex-direction: column;
    align-items: flex-start;
    box-sizing: border-box;
    border-radius: 9px;
    z-index: 100;
    left: 377px;
    top: 123px;
    font-size: 16px;
    opacity: 1;
    flex-flow: column;
    overflow-y: visible;
    width: fit-content;
    margin-right: 15px;
    gap: 20px
}

.openMapsList > div {
    font-family: Comfortaa, Arial, sans-serif;
    height: 50px;
    width: max-content;
    overflow-wrap: break-word;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 15px;
    cursor: pointer;
    transition: 0.3s;
    justify-content: space-between;
    box-sizing: border-box;
    border-radius: 8px;
    border: 1px dotted #ededed;
    background: white;
    box-shadow: 0.1rem 0.2rem 0.4rem 0.05rem hsla(0, 0%, 83%, 0.73);
}

.openMapsList > div span:first-child {
    color: #444444
}
.openMapsList > div span:last-child {
    font-size: 14px;
    font-style: italic;
    text-align: right;
    color: #c2bfbf;
}

.addTypeToObj input[type="text"] {
    outline: none;
    border: none;
    width: 293px;
    height: 36px;
    text-align: left;
    color: black;
    font-size: 18px;
    background-color: transparent;
    margin-left: 10px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

input {
    font-family: "Comfortaa";
}

.firstFileNameLabel,
.secondFileNameLabel {
    font-size: 12px;
    color: #858d94;
}

.secondFileNameLabel {
    position: absolute;
    margin-left: 19px;
}

.searchCleaner {
    width: 16px;
    height: 16px;
    position: relative;
    left: 260px;
    opacity: 0.1;
}

.resultsContainer {
    font-family: Comfortaa, Arial, sans-serif;
    width: 365px;
    height: 357px;
    z-index: 10;
    background: #fdfdfd;
    border: 1px solid #cbcfe2;
    border-radius: 6px;
    -webkit-box-shadow: 0 1px 2px;
    box-shadow: 0rem 0.5rem 1.4rem 0.05rem rgba(0, 0, 0, 0.31);

    overflow-y: auto;
    margin-top: 7px;
    padding-left: 1px;
    border-top: 1px dotted #badcfb;
    opacity: 0;
    transition: opacity 2s ease;
}
.searchItem {
    height: 45px;
    margin-right:3px;
    padding-top: 2px;
    padding-bottom: 2px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    border: 1px solid transparent;
    border-radius: 4px;
}
.searchItem > div:first-child {
    display: flex;
    margin-top: 10px;
}
.typeWrapper {
    margin-left: 10px;

    width: 340px;
    display: flex;
    flex-wrap: nowrap;
    align-items: flex-start;
}
.resultsContainer span {
    max-width: 440px;
}
.searchItem > div > span {
    width: 100%;
    font-size: 16px;
    transform: translateX(12px);
    transition: 0.15s;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}
.typeWrapper span {
    font-size: 12px;
    color: #a0a0a0;
    margin-top: 5px;
}
.linkWrapper {
    margin-top: -2px;
    float: right;
}
.searchCell {
    width: 45px;
    height: 23px;
}

.activeChildContainer, .activeSearchItemDiv {
    background-image: linear-gradient(to bottom, #e3f2ff, #cae3fa);
}

.searchItem:not(:last-child) {
    border-bottom: 1px solid #ebe9e9;
}

.searchItem > div > span > span {
    color: #9c030b;
    font-weight: bold;
}

.lastSearchItem {
    height: 350px;
}

.resultsContainer::-webkit-scrollbar {
    width: 10px;
}

.resultsContainer::-webkit-scrollbar-thumb {
    background-image: repeating-linear-gradient(90deg, #e8e8e8 10px, #d0d0d0 20px);
    border-radius: 2px;
}

.tedgjylfus {
    display: inline-flex;
    top: 294px;
    left: 715px;
    box-sizing: border-box;
    border-radius: 8px;
    padding: 4px;
    padding-right: 10px;
    padding-top: 6px;
    flex-direction: column;
    width: max-content;
    position: absolute;
    z-index: 10;
    background: white;
    box-shadow: 0rem 0.3rem 1rem 0.15rem hsla(0, 0%, 51%, 0.73);
    border: 1px solid #a3afbf;
    font-size: 14px;
}

.tedgjylfus:after {
    bottom: 100%;
    left: 15px;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
}

.tedgjylfus:after {
    border-color: rgba(254, 254, 254, 0);
    border-bottom-color: #fefefe;
    border-width: 7px;
    margin-left: -8px;
}

.tedgjylfus:before {
    border-color: rgba(235, 127, 0, 0);
    border-bottom-color: #a3afbf;

    border-width: 8px;
    margin-left: -9px;
}

.contextImg {
    position: absolute;
    left: 14px;
    top: -7px;
    z-index: 1;
}

.yugnjfjfud {
    font-size: 16px;
    margin-left: 10px;
    display: flex;
    padding: 0;
    color: #3296c8;
    height: 21px;
    font-weight: bold;
    background-image: -webkit-repeating-radial-gradient(center center, rgba(0,0,0,.2), rgba(0,0,0,.2) 0.5px, transparent 1.5px, transparent 100%);
    background-image: -moz-repeating-radial-gradient(center center, rgba(0,0,0,.2), rgba(0,0,0,.2) 0.5px, transparent 1px, transparent 100%);
    background-image: -ms-repeating-radial-gradient(center center, rgba(0,0,0,.2), rgba(0,0,0,.2) 0.5px, transparent 1px, transparent 100%);
    background-image: repeating-radial-gradient(center center, rgba(0,0,0,.2), rgba(0,0,0,.2) 0.5px, transparent 1px, transparent 100%);
    background-size: 1px 10px, 10px;
    background-position: left top, 0 0;
    -webkit-background-size: 3px 3px;
    -moz-background-size: 4px 3px;
}

.listItem {
    display: flex;
    width: max-content;
    height: 30px;
    margin-left: 25px;
    white-space: nowrap;
    margin-top: 2px;
    text-overflow: ellipsis;
    padding-bottom: 2px;
}
.listItem:first-child {
    margin-top: 3px;
}
.roleContainer {
    width: 75px;
    height: 60%;
    display: flex;
    justify-content: center;
}
.childContainer {
    max-width: 250px;
    min-width: 30px;
    width: max-content;
    padding-left: 6px;
    padding-right: 5px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    height: 23px;
    border-radius: 4px;
    border: 1px solid #b3c9df;
    background-color: rgba(245, 245, 245, 0.6);
    box-shadow: 2px 2px 5px #d1d1d1;
}

.childContainer {
    padding-top: 3px;
    margin-top: 2px;

    height: 25px;
    margin-left: 4px;

}

.relNameChild {
    max-width: 55px;
    margin-top: 7px;
    margin-left: 5px;
    margin-right: 3px;
    z-index: 20;
    font-style: italic;
    font-size: 10px;
    color: #7693b9;
    background-color: rgba(253, 253, 253, 0.8);
    padding-left: 1px;
    padding-right: 1px;
    overflow: hidden;
    white-space: nowrap;
}

.contextChildSVG {
    position: absolute;
    top: -1px;
    width:max-content;
    height:max-content;
}

.imgChevHeader {
    height: 11px;
    width: 11px;
    margin-left: -6px;
    margin-right: 15px;
    margin-top: 3px; /*поменял для child*/
    border: 1px solid #b3c9df;
    border-radius: 50%;
    background: white;
    z-index: 30;
}

.headerSpan {
    transform: translateY(1px);
    white-space: nowrap;
    /*    margin-top: 5px;*/
    padding-right: 9px;
}
.listCircle {
    position: absolute;
    margin-top: 6px;
    margin-left: -9px;
    z-index: 20;
    border-radius: 50%;
    width: 3px;
    height: 3px;
    background: #ffffff;
    border: 1px solid #b3c9df;
}

.highlight {
    border-color: rgb(202, 202, 202);
    box-shadow: rgb(153, 153, 153) 0px 0px 5px;
}

/*______________animation_______________________*/

.sideMenuAnimate1 {
    opacity: 1;
    visibility: visible;
    animation: sideMenuCycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}
@keyframes sideMenuCycle {
    0%, 9%       { opacity: 1; visibility: visible; }
    9.01%, 10%   { opacity: 0; visibility: hidden; }
    10.01%, 100% { opacity: 0; visibility: hidden; }
}

.recentListAnimate1 {
    opacity: 1;
    visibility: visible;
    animation: recentListCycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}
@keyframes recentListCycle {
    0%, 1%       { opacity: 0; visibility: hidden; }
    2%, 9%       { opacity: 1; visibility: visible; }
    9.01%, 10%   { opacity: 0; visibility: hidden; }
    10.01%, 100% { opacity: 0; visibility: hidden; }
}

.fileNameAnimate1 {
    opacity: 1;
    visibility: visible;
    animation: firstFileCycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}
@keyframes firstFileCycle {
    0%, 10%       { opacity: 1; visibility: visible; }
    10.01%, 100%  { opacity: 0; visibility: hidden; }
}

.fileNameAnimate2 {
    opacity: 0;
    visibility: hidden;
    animation: secondFileCycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}
@keyframes secondFileCycle {
    0%, 9%       { opacity: 0; visibility: hidden; }
    10%, 100%    { opacity: 1; visibility: visible; }
}

.oyusdfsvxc {
    opacity: 0;
    visibility: hidden;
    animation: thirdFileCycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}

@keyframes thirdFileCycle {
    0%, 21%       { opacity: 0; visibility: hidden;}
    22.02%, 45%    { opacity: 1; visibility: visible;}
    45.01%, 100%  { opacity: 0; visibility: hidden;}
}

.navBar {
    animation: paddingCycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: padding;
    transition: padding 250ms ease-out;
}
@keyframes paddingCycle {
    0%, 20%       { padding: 0;}
    22.01%, 45%    { padding-right: 388px;}
    45.01%, 100%  { padding: 0;}
}

.search1 {
    opacity: 0;
    visibility: hidden;
    animation: search1Cycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}
@keyframes search1Cycle {
    0%, 29%      { opacity: 0; visibility: hidden; }
    30%, 44%     { opacity: 1; visibility: visible; }
    45%, 100%    { opacity: 0; visibility: hidden; }
}

.search2 {
    opacity: 0;
    visibility: hidden;
    animation: search2Cycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}
@keyframes search2Cycle {
    0%, 9%       { opacity: 0; visibility: hidden; }
    10%, 28%    { opacity: 1; visibility: visible; }
    29%, 44%    { opacity: 0; visibility: hidden; }
    45%, 100%    { opacity: 1; visibility: visible; }
}

.mapMenuAnomated1 {
    opacity: 0;
    visibility: hidden;
    animation: presentationCycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}
@keyframes presentationCycle {
    0%, 9%       { opacity: 0; visibility: hidden; }
    10%, 19%     { opacity: 1; visibility: visible; }
    20%, 100%    { opacity: 0; visibility: hidden; }
}

.mapListAnimated1 {
    opacity: 0;
    visibility: hidden;
    animation: openMapsListCycle 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}
@keyframes openMapsListCycle {
    0%, 14%      { opacity: 0; visibility: hidden; }
    15%, 19%     { opacity: 1; visibility: visible; }
    20%, 100%    { opacity: 0; visibility: hidden; }
}

.toEnd {
    opacity: 0;
    visibility: hidden;
    animation: canvasAppear 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}
@keyframes canvasAppear {
    0%, 20%       { opacity: 0; visibility: hidden; }
    20.01%, 100%  { opacity: 1; visibility: visible; }
}

.resultsContainer {
    opacity: 0;
    visibility: hidden;
    animation: resultsContainerShow 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity, height;

    transition: height 400ms ease-out,
    opacity 320ms ease-out;
    transition-behavior: allow-discrete;
}

@keyframes resultsContainerShow {
    0%, 30%       { opacity: 0; visibility: hidden; display: none; height: 0;}
    30% {
        display: block;
        visibility: visible;
        opacity: 0;
        height: 0;
    }

    31%, 44% {                    /* ← плавное раскрытие здесь */
        opacity: 1;
        visibility: visible;
        display: block;
        height: 357px;
    }
    45.01%, 100%  { opacity: 0; visibility: hidden; display: none; height: 0;}
}

.tedgjylfus {
    opacity: 0;
    visibility: hidden;
    animation: menuChildShow 30s linear infinite;
    animation-fill-mode: both;
    will-change: opacity;
}

@keyframes menuChildShow {
    0%, 35%       { opacity: 0; visibility: hidden; }
    35.01%, 45%   { opacity: 1; visibility: visible; }
    45.01%, 100%  { opacity: 0; visibility: hidden; }
}

/*____________________*/

.qa5hy5EWHY span {
    opacity: 0;
}

.puohsryujhs .header {
    font-size: 16px;
    color: #3296c8;
    height:29px;
    font-weight: bold;
    border-radius: 5px;
    background: #f3f3f3;
}

.puohsryujhs .header input {
    width: 25px;
    height: 25px;
    opacity: 0;
    z-index: 5;
    margin-left:-25px;
}

.bpghtfdgthfy {
    display: block;
    padding-top: 3px;
}

@keyframes blink {
    0% { visibility: visible; }
    40% { visibility: hidden; }
    50% { visibility: hidden; }
    100% { visibility: visible; }
}

.createRelEdgeChev svg {
    animation: flipAnimation 12s steps(1, end) infinite;
    transform-origin: 5px 2px;
    display: inline-block;
}

@keyframes flipAnimation {
    0% { transform: rotate(180deg); }
    40% { transform: rotate(0deg); }
    50% { transform: rotate(0deg); }
    100% { transform: rotate(180deg); }
}

.showAllTypesChevron svg {
    animation: flippaAnimation 12s steps(1, end) infinite;
    transform-origin: 5px 2px;
    display: inline-block;
}

@keyframes flippaAnimation {
    0% { transform: rotate(0deg); }
    40% { transform: rotate(0deg); }
    50% { transform: rotate(180deg); }
    90% { transform: rotate(0deg); }
    100% { transform: rotate(0deg); }
}
/*
    .nbrtyjujf div, .sideMenu div {
      margin-bottom: 15px;
    }*/

.menuHeader > th:first-child {
    padding-left: 40px;
}

.menuHeader > th:last-child {
    padding-left: 60px;
}

.menuHeader > th {
    text-align: left;
    font-style: italic;
}

.chevSpan {
    position: relative;
    margin-left: 1.5px;
    top: -2px;
    color: #3296c8;
    font-size: 15px;
    font-family: "Courier New";
    z-index: 30;
}

.imgChev input {
    position: fixed;
    margin-top: -2px;
    margin-left: -2px;
    height: 17px;
    width: 17px;
    opacity: 0;
    z-index: 5;
    font-family: "Comfortaa";
}

.navBar {
    position: fixed;
    top: 5px;
    left: 10px;
    z-index: 3;
    height: 45px;
    box-sizing: border-box;
    transition: 0.5s;


    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 13px;

    min-height: 43px;
    background: rgba(255, 255, 255, 0.92);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    border: 1px solid rgba(255, 255, 255, 0.8);
    box-shadow: 0 2px 15px -2px rgba(0, 0, 0, 0.08), 0 -1px 6px -1px rgba(0, 0, 0, 0.06), 0 10px 30px -10px rgba(0, 0, 0, 0.07);
}

.hamburger_introimg {
    width: 35px;
    height: 35px;
    margin: 0 15px;
}

.presentationMenuButton {
    border: 1px solid rgba(94, 179, 255, 0.25);
    margin-right: 24px;
    margin-left: 5px;
    margin-top: 0;
    font-size: 14px;
}

.vmhcgukgtik {
    display: flex;
    flex-direction: column;
    /*    margin: 6px 42px 0 0; это для английского*/
    margin: 6px 23px 0 0;
}

.vnbfyjxyrw {
    display: flex;
    flex-direction: row;
    font-size: 12px;
    align-items: flex-start;
}

.vnbfyjxyrw > div:first-child {
    display: flex;
    flex-direction: row;
    align-items: center;
}
.vnbfyjxyrw img {
    width: 13px;
    margin-right: 5px;
}

.nowOpen {
    width: 100%;
    display: flex;
    align-items: center;
}

.nowOpen span:last-child {
    margin-left: 3px;
    color: #c1c0c0;
    font-size: 11px;
}

.bdfthydeee6z {
    margin-right: 15px;
    z-index: 10;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding-left: 7px;
    border-left: 1px dotted #dddddd;
    gap: 6px;
}

.bdfthydeee6z img {
    width: 25px;
    height: 25px;
    margin-left: 7px;
    -webkit-user-drag: none;
}

.searchInput {
    display: flex;
    align-items: center;
    height: 26px;

    outline: none;
    border: none;
    width: 365px;
    text-align: left;
    color: black;
    font-size: 17px;
    background-color: transparent;

    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.search2 {
    position: absolute;
    top: 8px;
    left: 25px;
    color: #dadada;
    font-size: 15px;
    font-style: italic;
}
.search1 {
    position: absolute;
    top: 5px;
    left: 24px;
    display: flex;
    flex-direction: row;
    color: #000000;
    font-size: 16px;
    align-items: center;

}
.search1 span:first-child {
    color: green;
    font-weight: bolder;
    font-size: 22px;
    margin-right: 10px;
}

.oyusdfsvxc {
    display: flex;
    flex-direction: column;
    position: absolute;
    left: 460px;
    top: 10px;
    background: white;
    border: 1px solid rgb(89 170 244 / 30%);
    transition: all 0.25s ease;
    height: max-content;
    z-index: 10;
    border-radius: 13px;
    box-shadow: 0 3px 30px -10px rgb(89 170 244 / 40%);
    overflow: hidden;
}

/*____create rel_____*/

.dti78 {
    position: absolute;
    top: 0;
    left: 0;
}

.guyoo0 {
    font-family: "Raleway", serif;
    position: absolute;
    top: 0px;
    left: 0px;
    user-select: none;
}


.ae5yae5yhjs {
    position: absolute;
    border-radius: 8px;
    display: inline-block;
    max-width: 300px;
    padding: 2px 7px 4px 7px;
    opacity: 0.9;

    border: 1px solid #bebdbd;
    box-shadow: 0.25rem 0.25rem 0.7rem 0.01rem hsla(0, 0%, 69%, 0.73);
    z-index: 1;
    background-image: linear-gradient(rgba(255, 255, 255, 0.5), rgb(255, 255, 255));

    height: auto;
    /*    line-height: 1.2;*/

}

.searchDialItem, .osffdrgstgh, .searchItem:not(:last-child) {
    border-bottom: 1px solid #ebe9e9;
}

.modalPopup {
    font-size: 14px;
    border: 1px solid #a4c2e3;
    color: #6f6f6f;
    border-radius: 6px;
    background: #ffffff;
    box-shadow: 0rem 0.2rem 1rem 0.1rem hsl(0deg 2.05% 86.48% / 73%);
}

.relModeButton {
    height: 20px;
    margin: 3px;
    margin-top: 5px;
    font-size: 11px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.typeAndView {
    display: flex;
    width: 18px;
    height: 18px;
    flex-direction: row;
    margin-top: 1px;
    margin-left: 7px;
    margin-right: 4px;
}

.typeAndView:after {
    top: 5px;
    left: 5px;
    position: relative;
    content: " ";
    pointer-events: none;
    z-index: 1;
    transform: translateY(-50%) rotate(45deg);
    transform-origin: left center;
    width: 4px;
    height: 4px;
    border-bottom: 2px solid #d5d5d5;
    border-right: 2px solid #d5d5d5;
}

.typeAndFormat {
    display: flex;
    flex-direction: row;
    margin-left: 5px;
    margin-right: 5px;
    height: max-content;
}

.predicateBefore {
    height: 18px;
    width: 5px;
    border-top: 1px solid #c4c7d7;
    border-bottom: 1px solid #c4c7d7;
    border-left: 1px solid #c4c7d7;
}

.predicateAfter {
    height: 18px;
    width: 5px;
    border-top: 1px solid #c4c7d7;
    border-bottom: 1px solid #c4c7d7;
    border-right: 1px solid #c4c7d7;
}

.createRelType {
    display:flex;
    align-items: center;
    height: 20px;
    padding-top: 3px;
}

.notype {
    border: none;
    position: relative;
    background-color: transparent;
    margin-left: 7px;
    padding-left: 0;
    text-align: left;
    width: 80px;
    height: 20px;
    font-size: 14px;

<!--animation: bgChange 12s infinite steps(1, end);-->
}

.notype::before,
.notype::after {
    position: absolute;
}
.notype::before {
    content: "causes";
    font-style: normal;
    font-size: 14px;
    margin-top: 0;
    color: #6d7a94;
    opacity: 1;
    animation: textFadeFirst 12s infinite steps(1, end);
}

.notype::after {
    content: "relation type";
    font-style: italic;
    font-size: 12px;
    margin-top: 2px;
    color: #c5c5c5;
    opacity: 0;
    animation: textFadeSecond 12s infinite steps(1, end);
<!--animation-delay: 6s;-->
}

@keyframes textFadeFirst {
    0%, 49.99% {
        opacity: 1;
    }
    50%, 90% {
        opacity: 0;
    }
    90.01%, 100% {
        opacity: 1;
    }
}

@keyframes textFadeSecond {
    0%, 49.99% {
        opacity: 0;
    }
    50%, 90% {
        opacity: 1;
    }
    90.01%, 100% {
        opacity: 0;
    }
}

label {
    margin-left: -5px;
}
.showAllTypesChevron {
    margin-top: -2px;
    opacity: 0.5;
}

.mgcyudet {
    position: absolute;
    display: none;
    flex-direction: column;
    align-items: center;
}

.tempLine {
    z-index: 2;
}

.ljswretw {
    position:absolute;
    display:flex;
}

.createRelTextContainer {
    display: flex;
    width: max-content;
    flex-direction: row;
    align-items: center;
    padding: 1px 4px 1px 3px;
    border: 1px dotted #dfdede;
    border-radius: 5px;
    background-color: rgba(247, 247, 247, 0.5);
}

.createRelTextContainer > div > div {
    display: flex;
    flex-direction: row;
}

.createRelEdgeChev {
    height: 6px;
    width: 10px;
    opacity: 0.2;
    margin-right: 5px;
    margin-top: -5px;
}

.createRelEdgeText {
    display:flex;
    font-size: 11px;
    height: 10px;
    width: max-content;
    min-width: 40px;
    color: #aaa;
    align-items: center;
}

.causeEdge {
    min-width: 53px;
}

.causeEdge::before,
.causeEdge::after {
    position: absolute;
}

.causeEdge::before {
    content: "edge type";
    color: #afafaf;

    opacity: 1;
    animation: textFadeThird 12s infinite steps(1, end);
}
.causeEdge::after {
    content: "cause";
    color: #6d7a94;

    opacity: 0;
    animation: textFadeFourth 12s infinite steps(1, end);
}

@keyframes textFadeThird {
    0%, 39.99% {
        opacity: 1;
    }
    40%, 50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes textFadeFourth {
    0%, 39.99% {
        opacity: 0;
    }
    40%, 50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

.dropImg {
    height: 15px;
    width: 15px;
    margin-left: 5px;
    opacity:0.6;
}

.createNewPlus {
    top: -20px;
    left: calc(50% - 8px);
    display: block;
    position: absolute;
    border: none;
    background: transparent;
    width: max-content;
    height: 16px;
}

.dryusr7ikx {
    width: 150px;
    max-height: 500px;
    margin-left: -35px;
    margin-top: -21.5px;
    position: fixed;

    overflow-y: auto;
    overflow-x: hidden;
    display: none;
    z-index: 10;
    animation: blink 12s steps(1, end) infinite;
}
@keyframes blink {
    0% { visibility: visible; }
    40% { visibility: hidden; }
    50% { visibility: hidden; }
    100% { visibility: visible; }
}


@keyframes flippaAnimation {
    0% { transform: rotate(0deg); }
    40% { transform: rotate(0deg); }
    50% { transform: rotate(180deg); }
    90% { transform: rotate(0deg); }
    100% { transform: rotate(0deg); }
}

.bnfdaews {
    width: 100%;
}

.osffdrgstgh:not(:last-child) {
    border-bottom: 1px solid #ebe9e9;
}
.osffdrgstgh {
    display: flex;
    flex-direction: row;
    height: 26px;
    color: #1b1b1b;
    cursor: pointer;

    font-size: 14px;

    align-items: center;
    justify-content: space-between;
    align-content: center;
    flex-wrap: wrap;

    transition: 0.05s;
    padding-left: 5px;
    padding-right: 5px;

}

.osffdrgstgh > div {
    max-width: 105px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.createNewTypeButton,
.createNewRoleButton,
.showAllRolesButton {
    display: flex;
    align-items: center;
    font-size: 12px;
    padding-top: 2px;
    padding-bottom: 2px;
    margin-left: 1px;
    border: 0.5px solid transparent;
    background: transparent;
    border-radius: 4px;
    color: #d7d7d7;
    padding-right: 4px;
    padding-left: 4px;
}

.filtr {
    height: 16px;
    width: 16px;
    padding-top: 2px;
    padding-left: 2px;
    border-left: 1px dashed rgb(164 194 227);
    opacity: 0.3;
}

.createNewTypeButton span,
.createNewRoleButton span{
    font-size: 16px;
    margin-right: 1px;
}

.maeoudgf:after,
.maeoudgf:before {
    bottom: 100%;
    margin-left: 10px;
    left: 30px;
    position: absolute;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    pointer-events: none;
    z-index: 1;
}

.maeoudgf:after {
    border-bottom-color: #ffffff;
    border-width: 10px;
    margin-left: -10px;
}

.maeoudgf:before {
    border: solid transparent;
    border-bottom-color: rgba(128, 175, 229, 0.3);
    border-width: 11px;
    margin-left: -11px;
}

.typeSearchButtons,
.maeoudgf {
    display: flex;
    flex-direction: row;

    width: 150px;
    height: 20px;
    border-radius: 6px 6px 0px 0px;

    position: fixed;
    border-bottom: 1px dashed #a4c2e3;
    background: #ffffff;
    z-index: 20;
}

.typeSearchButtons {
    width: inherit;
    justify-content: flex-end;
}

.infoWrapper {
    margin-top: -10px;
}

.brtwzdyj {
    position: fixed;
    overflow-y: auto;
    display: none;
    z-index: 10;
    -webkit-box-shadow: 0 1px 2px ;
    box-shadow: 0rem 0.2rem 0.5rem 0.1rem rgba(0, 0, 0, 0.21);
    border: 1px solid #a4c2e3;
    border-radius: 0 0 5px 5px;
    background-color: white;
    max-height: 600px;
    width: 220px;
    border-radius: 5px;
}

.typeSearchButtons:after,
.typeSearchButtons:before {
    bottom: 100%;
    margin-left: 10px;
    left: 30px;
    position: absolute;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    pointer-events: none;
    z-index: 1;
}

.typeSearchButtons:after {
    border-bottom-color: #ffffff;
    border-width: 10px;
    margin-left: -10px;
}
.typeSearchButtons:before {
    border: solid transparent;
    border-bottom-color: #a4c2e3;
    border-width: 11px;
    margin-left: -11px;
}

.searchDialItemImg {
    width: 15px;
    height: 13px;
    position: absolute;
    margin-top:1px;
    right: 10px;
}

.searchDialItem {
    height: 41px;
    padding-left: 7px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.typeDial {
    display: flex;
    transition: 0.15s;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    width: 150px;
    font-size: 14px;
}

.searchDialItem:not(:last-child) {
    border-bottom: 1px solid #ebe9e9;
}

.valency {
    font-size: 12px;
    margin-left: 2px;
    margin-top: 2px;
    color: #a0a0a0;
    width: 170px;
    overflow-wrap: break-word;
}

.brtwzdyj {
    animation: blinkee 12s steps(1, end) infinite;
}
@keyframes blinkee {
    0% { visibility: hidden; }
    40% { visibility: hidden; }
    50% { visibility: visible; }
    90% { visibility: hidden; }
    100% { visibility: hidden; }
}

.createRelType input[type="text"] {
    border: none;
    background-color: transparent;
    margin-left: 7px;
    padding-left: 0;
    text-align: left;
    width: 80px;
    height: 20px;
    font-size: 13px;
    color: #457eb7;
    outline: none;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.nbfyhjfyue {
    position: absolute;
    z-index: 10;
    padding: 4px 8px 4px 8px;
    justify-content: space-around;
    align-items: center;
    border-top: 1px solid #e5f0ff;
    border-left: 1px solid #e5f0ff;
    border-right: 1px solid #e5f0ff;
    border-radius: 6px;
    background: linear-gradient(to bottom, #ffffff 0%, #ffffff 50%, #f5f6f7 100%);
    box-shadow: 0.1rem 0.2rem 0.7rem 0.1rem #bfd0e3;
    flex-direction: column;
    min-width: 55px;
}

.nfyhqwe {
    display: flex;
    flex-direction: row;
    margin-bottom: 4px;
    margin-top: 5px;
    align-items: center;
}

.vbfyu6yu7 {
    border: 1px dotted #d9d9d9;
    border-radius: 3px;
    display: flex;
    flex-direction: row;
    gap: 5px;
    padding-left: 8px;
    padding-top: 2px;
    padding-bottom: 2px;
    padding-right: 5px;
}

.createChildButton {
    opacity: 0.5;
    margin-left: 9px;
    margin-right: 2px;
}

.tyfuidtuik {
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0.5;
    border-radius: 5px;
}

.createRelationCloseButton{
    opacity: 0.5;
}

.status-switch {
    border: 1px dotted #dfdfdf;
    height: 16px;
    width:110px;
    position: relative;
    font-size: 11px;
    background-color: #f9f9f9;
    color: #bcbcbc;
    transition: all 0.5s ease;
    padding: 3px;
    border-radius: 3px;
    padding-top: 4px;
    padding-bottom: 1px;
}

.relation {
    background-color: white;
    color: #2e81b9;
    box-shadow: 0 0 4px 4px rgba(182, 182, 182, 0.2);
    border: 1px solid #dfdfdf;
    border-radius: 2px;
    margin-top: 0px;
    left: 3px;
    padding: 2px;
    padding-right: 4px;
    padding-left: 4px;
    margin-right: 8px;
}

.kluihopguo {
    margin: 5px;
    font-size: 13px;
    color: #b0c8e0;
}

.dthfyjsueey:before,
.dthfyjsueey:after {
    content: '';
    position: absolute;
    border-style: dotted;
    filter: drop-shadow(0 4px 2px rgba(203, 215, 231, 0.5));
}

.dthfyjsueey:before {
    bottom: -10px;
    left: 50%;
    border-width: 10px 10px 0 10px;
    border-color: #e5f0ff transparent transparent transparent;
    transform: translateX(-50%);
}

.dthfyjsueey:after {
    bottom: -9px;
    left: 50%;
    border-width: 10px 10px 0 10px;
    border-color: #f5f6f7 transparent transparent transparent;
    transform: translateX(-50%);
}

.modalList {
    font-size: 14px;
    color: #6f6f6f;
    background: #ffffff;
    border-radius: 10px;
    box-shadow: 0 -4px 10px -6px rgba(126, 174, 227, 0.4), 0 -12px 32px -10px rgba(126, 174, 227, 0.1), 0 4px 28px -8px rgba(126, 174, 227, 0.32), 0 4px 10px -3px rgba(0, 0, 0, 0.07), inset 0 2px 0 rgba(255, 255, 255, 0.9);
    border-left: 1px solid rgba(128, 175, 229, 0.3);
    border-right: 1px solid rgba(128, 175, 229, 0.3);
    border-bottom: 1px solid rgba(128, 175, 229, 0.3);
}